/* /////////////////////////////////////////////////////////////////////////////
//
//                  INTEL CORPORATION PROPRIETARY INFORMATION
//     This software is supplied under the terms of a license agreement or
//     nondisclosure agreement with Intel Corporation and may not be copied
//     or disclosed except in accordance with the terms of that agreement.
//         Copyright (c) 2001-2003 Intel Corporation. All Rights Reserved.
//
//          Intel(R) Integrated Performance Primitives
//               Core (ippcore)
//
*/

#if !defined( __IPPCORE_H__ ) || defined( _OWN_BLDPCS )
#define __IPPCORE_H__

#ifndef __IPPDEFS_H__
#include "ippdefs.h"
#endif

#ifdef __cplusplus
extern "C" {
#endif

IPPAPI( const IppLibraryVersion*, ippGetLibVersion, (void) )

IPPAPI( const char*, ippCoreGetStatusString, ( IppStatus StsCode ) )

IPPAPI( IppCpuType, ippCoreGetCpuType, (void) )

IPPAPI( Ipp64u, ippCoreGetCpuClocks, (void) )

IPPAPI( IppStatus, ippCoreSetFlushToZero, ( int value, unsigned int* pUMask ))
IPPAPI( IppStatus, ippCoreSetDenormAreZeros, ( int value ))

IPPAPI( void*, ippAlignPtr, ( void * ptr, int alignBytes ) )

IPPAPI( void*, ippMalloc,  (int length) )
IPPAPI( void, ippFree, (void* ptr) )

IPPAPI( IppStatus, ippStaticInit, ( void ))
IPPAPI( IppStatus, ippStaticFree, ( void ))

IPPAPI( IppStatus, ippStaticInitBest, ( void ))
IPPAPI( IppStatus, ippStaticInitCpu, ( IppCpuType cpu ) )

IPPAPI(IppStatus, ippGetCpuFreqMhz, ( int* pMhz ) )

#ifdef __cplusplus
}
#endif

#endif /* __IPPCORE_H__ */
